/*<html><pre>*/
#ifndef V_TIME_H
#define V_TIME_H

#ifdef	__cplusplus
extern "C" {
#endif	/* __cplusplus */
	/* Returns time stamp in milliseconds (common to all threads) */
	u32_t	V_GLOBAL	timeTickCount();
	/* Delays execution of caller */
	void	V_GLOBAL	timeDelay(u32_t Milliseconds);
	/* Dumb timer implementation */
	vhandle_t	V_GLOBAL	timerCreate(void);
	void	V_GLOBAL	timerStart(vhandle_t timer);
	void	V_GLOBAL	timerStop(vhandle_t timer);
	u32_t	V_GLOBAL	timerMilliseconds(vhandle_t timer);
	void	V_GLOBAL	timerWait(vhandle_t timer,u32_t return_time);
	void	V_GLOBAL	timerDestroy(vhandle_t timer);
	/* Returns time (in seconds) since last call to 'timerDiffTime' */
	vec_t	V_GLOBAL	timerDiffTime(vhandle_t timer);
#ifdef	__cplusplus
}
#endif	/* __cplusplus */

#endif	/* V_TIME_H */
/*</pre></html>*/
/*EOF*/
